xcode5安装Command Line Tools

2013年10月17日 分类: 杂谈 (1,054 个脚步)

之前系统升级到 Mac OS X 10.9 Mavericks ,顺带的连xcode也一起升级了。

升级后我还没发现啥问题,后面因为需要用到重新编译php,就发现问题了。

各种原本能正常运行的命令,现在都出现问题

之前我还以为是编译参数问题,但是经过一系列操作后就排除了参数可能出现的错误

实在无奈的我装了一个brow后提示

Warning: Your Xcode (5.0) is outdated
Please install Xcode 5.0.1.
Error: No available formula for bzip2-devel 

好吧,想重装一下Command Line Tools,居然在以前的那个地方找不到了。。。

最后查询苹果开发者网站后得出答案了,原来新的Command Line Tools跟Java一样变成了在线可选安装包,直接图形化安装就可以了。

运行命令

sudo xcode-select --install

就会显示一行文字,并且弹出一个对话框,确认安装后他就会自己下载来安装了。

至此,Command Line Tools就能够重新复活了~~~

xcode5安装Command Line Tools 【声明】本文 xcode5安装Command Line Tools 为柠之漠然原创文章,转载请注明出自 枫之落叶
并保留本文有效链接:https://blog.shiniv.com/2013/10/xcode5%e5%ae%89%e8%a3%85command-line-tools/ , 转载请保留本声明!

标签: ,
2 条评论
  • 貌似要注册 开发者账号才可以下载 ,http://adcdownload.apple.com/Developer_Tools/command_line_tools_os_x_mavericks_for_xcode__march_2014/commandline_tools_os_x_mavericks_for_xcode__march_2014.dmg

你必须要启用 Javascript